Skip to main content
GET
/
alpha
/
borrow
/
markets
/
transactions
/
{action}
/
{userAddress}
/
{network}
/
{marketId}
/
{assetAddress}
cURL
curl --request GET \
  --url https://api.vaults.fyi/alpha/borrow/markets/transactions/{action}/{userAddress}/{network}/{marketId}/{assetAddress} \
  --header 'x-api-key: <api-key>'
{
  "currentActionIndex": 123,
  "actions": [
    {
      "name": "<string>",
      "tx": {
        "to": "<string>",
        "chainId": 1,
        "data": "<string>",
        "value": "<string>"
      },
      "simulation": {
        "url": "<string>",
        "tokensReceived": {},
        "tokensSpent": {}
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vaults.fyi/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

network
enum<string>
required

Canonical network slug

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink
marketId
string
required

Canonical market identifier

Minimum string length: 1
userAddress
string
required

Address of the user whose borrow market transactions context is requested

Pattern: ^0x[a-fA-F0-9]{40}$
assetAddress
string
required

Canonical asset address within the borrow market

Pattern: ^0x[a-fA-F0-9]{40}$
action
enum<string>
required

Action to generate for borrow market transactions

Available options:
supply,
withdraw,
borrow,
repay

Query Parameters

amount
string

Amount of the asset to use in the transactions request

all
boolean

If true, withdraw or repay the full available amount

Response

Default Response

currentActionIndex
number
required
actions
object[]
required